**Source URL:** https://limited.veevavault.dev/safety/vault-api/api-reference/20.1/object-lifecycle-workflows/object-record-user-actions/initiate-object-action-on-multiple-records.md

# Initiate Object Action on Multiple Records



Use this request to initiate an object user action on multiple records. Maximum 500 records per batch.

<Endpoint path="/api/{version}/vobjects/{object_name}/actions/{action_name}" method="POST"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Content-Type` | `application/x-www-form-urlencoded` |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `object_name` | The object `name__v` field value. |
| `action_name` | Either the name of the `Objectaction` or `Objectlifecyclestateuseraction` to initiate. This is obtained from the [Retrieve User Actions](/vault-api/api-reference/20.1/object-lifecycle-workflows/object-record-user-actions/retrieve-object-record-user-actions) request. The format for `action_name` is `Objectaction.vobject.action` or `Objectlifecyclestateuseraction.vobject.state.action`. |
</FieldTable>

## Body Parameters {#body-parameters}

## Request {#request}

<CodeExample title="">
```
curl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "ids: 0MO0771, 0MO0772, 0MO0773" \
https://myvault.veevavault.com/api/v17.3/vobjects/monitoring_event__v/actions/Objectaction.monitoring_event__v.copy_record__v

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
  "responseStatus": "SUCCESS",
  "data": [
      {
          "responseStatus": "SUCCESS",
          "id": "0MO0771"
      },
      {
          "responseStatus": "SUCCESS",
          "id": "0MO0772"
      },
      {
          "responseStatus": "FAILURE",
          "id": "0MO0773",
          "errors": [
              {
                  "type": "INSUFFICIENT_ACCESS",
                  "message": "User does not have sufficient privileges to perform the action"
              }
          ]
      }
  ]
}

```
</CodeExample>

---

**Previous:** [Initiate Object Action on a Single Record](/safety/vault-api/api-reference/20.1/object-lifecycle-workflows/object-record-user-actions/initiate-object-action-on-a-single-record)  
**Next:** [Workflows](/safety/vault-api/api-reference/20.1/object-lifecycle-workflows/workflows)